export declare class SVGElement {
    id: string;
    className: string;
    style: CSSStyleDeclaration;
    ownerSVGElement: SVGElement | null;
    viewportElement: SVGElement | null;
    tagName: string;
    namespaceURI: string | null;
    prefix: string | null;
    localName: string;
    baseURI: string;
    textContent: string | null;
    innerHTML: string;
    outerHTML: string;
    hidden: boolean;
    slot: string;
    attributes: NamedNodeMap;
    childNodes: NodeListOf<ChildNode>;
    firstChild: ChildNode | null;
    lastChild: ChildNode | null;
    nextSibling: ChildNode | null;
    previousSibling: ChildNode | null;
    parentNode: Node & ParentNode | null;
    parentElement: HTMLElement | null;
    childElementCount: number;
    firstElementChild: Element | null;
    lastElementChild: Element | null;
    nextElementSibling: Element | null;
    previousElementSibling: Element | null;
    children: HTMLCollection;
    constructor();
    getAttribute(name: string): string | null;
    getAttributeNS(namespaceURI: string | null, localName: string): string | null;
    setAttribute(name: string, value: string): void;
    setAttributeNS(namespaceURI: string | null, qualifiedName: string, value: string): void;
    removeAttributeNS(namespaceURI: string | null, localName: string): void;
    hasAttribute(name: string): boolean;
    hasAttributeNS(namespaceURI: string | null, localName: string): boolean;
    getBoundingClientRect(): DOMRect;
    getClientRects(): DOMRectList;
    getElementsByClassName(classNames: string): HTMLCollectionOf<Element>;
    getElementsByTagName(qualifiedName: string): HTMLCollectionOf<Element>;
    getElementsByTagNameNS(namespaceURI: string | null, localName: string): HTMLCollectionOf<Element>;
    querySelector(selectors: string): Element | null;
    querySelectorAll(selectors: string): NodeListOf<Element>;
    matches(selectors: string): boolean;
    closest(selectors: string): Element | null;
    contains(other: Node | null): boolean;
    append(...nodes: (Node | string)[]): void;
    prepend(...nodes: (Node | string)[]): void;
    after(...nodes: (Node | string)[]): void;
    before(...nodes: (Node | string)[]): void;
    replaceWith(...nodes: (Node | string)[]): void;
    remove(): void;
    insertAdjacentElement(where: InsertPosition, element: Element): Element | null;
    insertAdjacentText(where: InsertPosition, data: string): void;
    insertAdjacentHTML(position: InsertPosition, text: string): void;
    replaceChildren(...nodes: (Node | string)[]): void;
}
